.md-dropdown {
  position: relative;
  display: inline-block;
}

.md-dropdown-button {
  color: white;
  padding: 2px 10px;
  border-radius: 5px;
  border: none;
  font-weight: 500;
  cursor: pointer;
  overflow: hidden;
  position: relative;
  margin: 0px;
}

.md-cicurlar-dropdown-button {
  color: white;
  margin: 0px;
  border-radius: 50%;
  border: none;
  font-weight: 500;
  cursor: pointer;
  position: relative;
  margin: 0px;
  width: 40px;
  height: 40px;
}

.md-menu {
  left: 0;
  top: 100%;
  opacity: 0;
  z-index: 100;
  position: absolute;
  background: #fef7ff;
  margin-top: 4px;
  width: auto;
  min-width: 180px;
  max-width: 500px;
  border-radius: 4px;
  padding: 8px 0;
  list-style: none;
  pointer-events: none;
  box-shadow: var(--md-shadow);
  transform: translateY(-10px) scale(0.95);
  transition: all 0.2s cubic-bezier(0, 0, 0.2, 1);
}
.md-menu.active {
  opacity: 1;
  transform: translateY(0) scale(1);
  pointer-events: auto;
}
.md-menu-item {
  padding: 8px 16px;
  font-size: 14px;
  cursor: pointer;
  position: relative;
  overflow: hidden;
  color: #666666;
  transition: background 0.2s;
}
.md-menu-item:hover {
  background: rgba(0, 0, 0, 0.05);
}

.md-menu-divider {
  height: 1px;
  background: rgba(0, 0, 0, 0.12);
  margin: 4px 0;
}

.md-toolbar {
  background: rgba(0, 0, 0, 0.02);
  min-height: 50px;
  position: relative;
  display: flex;
  border-bottom: solid 1px rgba(0, 0, 0, 0.05);
}

.md-toolbar .md-button {
  height: 45px;
  border: none;
  padding-left: 10px;
  padding-right: 10px;
  background: transparent;
  display: flex;
  align-items: center;
  color: #999999;
  font-size: 17px;
}

.md-toolbar .md-button:hover {
  color: #595959;
  cursor: pointer;
}

.md-toolbar .right {
  margin-left: auto;
}

.md-toolbar .md-dropdown .right {
  left: auto;
  right: 0px;
  margin-top: 1px;
}

.app-bar .agm-search-input {
  outline: none;
  height: 32px;
  min-width: 300px;
  margin-top: 3px;
  margin-left: 65px;
  border-radius: 4px;
  padding-left: 5px;
  padding-right: 5px;
  color: #cceeff;
  background: #0099e6;
  border: solid 1px #1ab2ff;
}

.app-bar .agm-search-input::placeholder {
  color: #80d4ff;
  opacity: 0.8;
}

.app-bar .agm-search-buttton {
  z-index: 2;
  cursor: pointer;
  border: none;
  height: 30px;
  margin-top: 5px;
  margin-left: -40px;
  color: #b3e6ff;
  padding-left: 10px;
  padding-right: 10px;
  background: transparent;
}

.app-bar .agm-search-buttton:focus-visible {
  outline: none;
}

.app-bar .agm-search-buttton:focus:not(:focus-visible) {
  outline: none;
}
